import java.util.*;

public class Person implements PrintOption {
   public String vorName;
   public String nachName;
   public String strasse;
   public String wohnort;
   private Vector autos;
   
   public Person(String vorName, String nachName, String strasse, String wohnort) {
      this.vorName = vorName ;
      this.nachName = nachName ;
      this.strasse = strasse ;
      this.wohnort = wohnort ;
      autos = new Vector();
   }

   public String vorName() { return this.vorName; }
   public String nachName()  { return this.nachName; }
   public String strasse() { return this.strasse; }
   public String wohnort() { return this.wohnort; }
   
   public void drucke(int option){
      if (option == SCREEN) { 
       System.out.println(vorName+" "+nachName);
      }

       if (option == PRINTER) {          
         // Ausgabe auf den Drucker
      }
   }
   
   public void neuesAuto(Auto a){
       autos.add(a);
       a.neuerBesitzer(this);
   }
   
   public void druckeAutos(int opt){
//        for(int i=0;i<a.length;i++){
//            Auto a = (Auto)autos.elementAt(i);
//            a.drucke();
//         }
        Iterator i = autos.iterator();
        this.drucke(opt);
        while(i.hasNext()){
            Auto a = (Auto) i.next();
            a.drucke(opt);
        }
    }
}
